"""
爬虫的配置map， 一个大字典；
key是spider的platform
sub_key是recommend，author, value；
value是爬虫封装好的类
"""
from spider.crawler_online import *
from spider.crawler_online.benshanzhufu import BSZHRecommend
from spider.crawler_online.dakaiyinghaoyun import DKYHYRecommend
from spider.crawler_online.xiaoniangaotuijianliu import XNGTJLRecommend
from spider.crawler_online.zhufuquanzituijianliu import ZFQZTJLRecommend

spider_map = {
    # 祝万物复苏
    "zhuwanwufusunew": {
        "recommend": ZhuWanWuFuSuRecommend
    },
    # 祝好事多磨
    "zhuhaoshiduomo": {
        "recommend": ZhuHaoShiDuoMoRecommend
    },
    # 福小顺
    "fuxiaoshun": {
        "recommend": FuXiaoShunRecommend
    },
    # 祝尽善尽美
    "zhujinshanjinmeinew": {
        "recommend": ZhuJinShanJinMeiRecommend
    },
    # 欢欢喜喜祝福到
    "huanhuanxixizhufudaonew": {
        "recommend": HHXXZFDRecommend
    },
    # 博清科技-祝福咱们中老年之视频
    "boqingzhufu": {
        "recommend": BoQingZhuFu
    },
    # 鲸鱼祝福
    "sharkzhufu": {
        "recommend": SharkZhuFuRecommend
    },
    # 佳节祝福喜事多多
    "xishiduoduo": {
        "recommend": XiShiDuoDuoRecommend
    },
    # 吉祥幸福
    "jixiangxingfu": {
        "recommend": JXXFRecommend
    },
    # 小年糕-话题
    "xiaoniangaohuati": {
        "recommend": XNGHTecommend
    },
    # 福气旺系列, 愿你福气常在
    "yuannifuqichangzai": {
        "recommend": YuanNiFuQiChangZai
    },
    # 福气旺系列， 最好的送你
    "zuihaodesongni": {
        "recommend": ZuiHaoDeSongNi
    },
    # 节日祝福类
    "jierizhufu": {
        "recommend": JieRiZhuFu
    },
    # 打开迎好运
    "dakaiyinghaoyun": {
        "recommend": DKYHYRecommend
    },
    # 福气矩阵-天天聚福气
    "tiantianjufuqi": {
        "recommend": TTJFFQRecommend
    },
    # 小年糕推荐流
    "xiaoniangaotuijianliu": {
        "recommend": XNGTJLRecommend
    },
    # 本山祝福
    "benshanzhufu": {
        "recommend": BSZHRecommend
    },
    # 祝福圈子推荐流
    "zhufuquanzituijianliu": {
        "recommend": ZFQZTJLRecommend
    }

}
